/**********************************************************************************************************************					
Instituto Nacional de Estadstica (INE) www.ine.es					
***********************************************************************************************************************					
					
DESCRIPCIN:					
Este programa genera un fichero SAS con formatos, partiendo de un fichero sin ellos.					
					
Consta de las siguientes partes:					
	* 1. Definir la librera de trabajo --> Libname				
	* 2. Definicin de formatos --> PROC FORMAT				
	* 3. Vincular formatos a la base de datos --> PASO data				
					
 Entrada:                                                           					
     - Fichero SAS sin formatos: 	 Hombres_Tabla_Hogar.sas7bdat				
 Salida:                                                           					
     - Fichero SAS con formatos: 	 Hombres_Tabla_Hogar__conFormato.sas7bdat				
					
Donde:					
	* Operacin: Encuesta de Fecundidad (Hombres_Tabla_Hogar)			
	* Periodo: 	2018			
					
************************************************************************************************************************/					
					
/*1) Definir la librera de trabajo: introducir el directorio que desee como librera					
(se da como ejemplo 'C:\Mis resultados'), y copiar en ese directorio el fichero sas "Hombres_Tabla_Hogar_.sas7bdat"*/					
					
libname ROutput 'C:\Mis resultados';	

options fmtsearch = (ROutput ROutput.cat1);

* 2) DEFINICIN DE FORMATOS;
PROC FORMAT LIBRARY=ROutput.cat1;
value $T_RE

"01"="Entrevistado"
"02"="Pareja o cnyuge"
"03"="Hijo/a biolgico/a"
"04"="Hijo/a de la pareja"
"05"="Hijo/a adoptado/a"
"06"="Hijo/a de acogida o tutelado/a"
"07"="Padre/madre biolgico/a o adoptivo/a"
"08"="Pareja del padre/madre"
"09"="Padre/madre biolgico/a o adoptivo/a de la pareja"
"10"="Pareja del padre/madre de la pareja"
"11"="Nieto/a (ya sea del entrevistado o de la pareja)"
"12"="Abuelo/a (ya sea del entrevistado o de la pareja)"
"13"="Pareja o cnyuge de un hijo/a"
"14"="Hermano/a del entrevistado"
"15"="Otro pariente"
"16"="No es pariente"
;
value $T_MES

"01"="Enero"
"02"="Febrero"
"03"="Marzo"
"04"="Abril"
"05"="Mayo"
"06"="Junio"
"07"="Julio"
"08"="Agosto"
"09"="Septiembre"
"10"="Octubre"
"11"="Noviembre"
"12"="Diciembre"
;
value $T_SEXO

"1"="Hombre"
"2"="Mujer"
;
value $T_SINO

"1"="Si"
"6"="No"
;
value $T_CCAA

"01"="Andaluca"
"02"="Aragn"
"03"="Asturias, Principado de"
"04"="Balears, Illes"
"05"="Canarias"
"06"="Cantabria"
"07"="Castilla y Len"
"08"="Castilla-La Mancha"
"09"="Catalua"
"10"="Comunitat Valenciana"
"11"="Extremadura"
"12"="Galicia"
"13"="Madrid, Comunidad de"
"14"="Murcia, Regin de"
"15"="Navarra, Comunidad Foral de"
"16"="Pas Vasco"
"17"="Rioja, La"
"18"="Ceuta"
"19"="Melilla"
;


* 3) VINCULAR FORMATOS A LA BASE DE DATOS;
data ROutput.Hombres_Tabla_Hogar_ConFormato;
	set ROutput.Hombres_Tabla_Hogar;

FORMAT COD_CCAA $T_CCAA.;
FORMAT RE $T_RE.;
FORMAT MESN $T_MES.;
FORMAT SEXO $T_SEXO.;
FORMAT DISCAPACITADO $T_SINO.;
FORMAT FUERA $T_SINO.;


RUN;
/* FIN PROGRAMA: Microdatos en SAS: Hombres_Tabla_Hogar.sas*/
